Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.metadata
Class ApplicationDescriptor

    java.lang.Object
      org.juzu.metadata.ApplicationDescriptor

    public class ApplicationDescriptor

extends Object

Author:
  Julien Viet

Constructor Summary
`ApplicationDescriptor(String packageName, String name, Class<?> defaultController, String templatesPackageName, List<ControllerDescriptor> controllers, List<TemplateDescriptor> templates)`

Method Summary
`ControllerMethod` | `getControllerMethod(Class<?> type, String name, Class<?>... parameterTypes)`
`ControllerMethod` | `getControllerMethodById(String methodId)`
`List<ControllerMethod>` | `getControllerMethods()`
`List<ControllerDescriptor>` | `getControllers()`
`Class<?>` | `getDefaultController()`
`String` | `getName()`
`String` | `getPackageName()`
`List<TemplateDescriptor>` | `getTemplates()`
`String` | `getTemplatesPackageName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationDescriptor

    public ApplicationDescriptor(String packageName,
                                 String name,
                                 Class<?> defaultController,
                                 String templatesPackageName,
                                 List<ControllerDescriptor> controllers,
                                 List<TemplateDescriptor> templates)

Method Detail

### getPackageName

    public String getPackageName()

### getName

    public String getName()

### getDefaultController

    public Class<?> getDefaultController()

### getControllers

    public List<ControllerDescriptor> getControllers()

### getControllerMethods

    public List<ControllerMethod> getControllerMethods()

### getTemplates

    public List<TemplateDescriptor> getTemplates()

### getControllerMethod

    public ControllerMethod getControllerMethod(Class<?> type,
                                                String name,
                                                Class<?>... parameterTypes)

### getControllerMethodById

    public ControllerMethod getControllerMethodById(String methodId)

### getTemplatesPackageName

    public String getTemplatesPackageName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 eXo Platform SAS. All Rights Reserved.